| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
ADT
ADT.CircularList

Classes
CircularListIterator
Methods
_equal()
_get_iterator()
_indices()
_insert_element()
_remove_element()
_search()
_sizeof()
_values()
`+()
`[]()
`[]=()
add()
allocate()
cast()
clear()
create()
delete_value()
first()
is_empty()
last()
max_size()
peek_back()
peek_front()
pop_back()
pop_front()
push_back()
push_front()

ADT.CircularList()->last() | ADT.CircularList()->peek_back()

# Method ADT.CircularList()->max_size()

Method max_size

  `int max_size()`

Returns

  Returns the maximal size of this list.